For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/biller/billerdata

get

Get biller specific information for a particular biller/tour/option

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
billeridintegerOptionalDefault: 0
siteidintegerOptionalDefault: 0
touridintegerOptionalDefault: 0
optionidintegerOptionalDefault: 0
memberidintegerOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
get/api/biller/billerdata
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'billerid' => 1,
		'tourid' => 1,
		'optionid' => 1
	);

$request = array(
	'method' => 'GET',
	'path' => 'biller/billerdata',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "billerinfo": [
    {
      "biller_option_field": "biller_acctinfo_account_id",
      "biller_option_value": "1234"
    },
    {
      "biller_option_field": "biller_acctinfo_dynip_sec_code",
      "biller_option_value": ""
    }
  ]
}

Last updated

Was this helpful?